[SCM] PostGIS branch stable-3.4 updated. 3.4.2-18-g3a995c690

git at osgeo.org git at osgeo.org
Thu Mar 14 17:07:57 PDT 2024


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, stable-3.4 has been updated
       via  3a995c69067a2a8f61a99963f607ee6df89d2028 (commit)
      from  74a65006a5fca23ee90a70b33cf9d2feb5ab62bf (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 3a995c69067a2a8f61a99963f607ee6df89d2028
Author: Regina Obe <lr at pcorp.us>
Date:   Thu Mar 14 20:07:55 2024 -0400

    Fix depends

diff --git a/.woodpecker/docs.yml b/.woodpecker/docs.yml
index a104cfa6a..41124cb9c 100644
--- a/.woodpecker/docs.yml
+++ b/.woodpecker/docs.yml
@@ -88,7 +88,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/ja local-check-xml
-    depends_on: @DEP@
+    depends_on: prepare
     when:
       path:
         include:
@@ -98,7 +98,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/de local-check-xml
-    depends_on: @DEP@
+    depends_on: prepare
     when:
       path:
         include:
@@ -108,7 +108,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/fr local-check-xml
-    depends_on: @DEP@
+    depends_on: prepare
     when:
       path:
         include:
@@ -119,7 +119,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/ja local-html
-    depends_on: @DEP@
+    depends_on: check-xml-ja
     when:
       path:
         include:
@@ -129,7 +129,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/de local-html
-    depends_on: @DEP@
+    depends_on: check-xml-de
     when:
       path:
         include:
@@ -139,7 +139,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/fr local-html
-    depends_on: @DEP@
+    depends_on: check-xml-fr
     when:
       path:
         include:
@@ -150,7 +150,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/ja local-cheatsheets
-    depends_on: @DEP@
+    depends_on: check-xml-ja
     when:
       path:
         include:
@@ -160,7 +160,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/de local-cheatsheets
-    depends_on: @DEP@
+    depends_on: check-xml-de
     when:
       path:
         include:
@@ -170,7 +170,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/fr local-cheatsheets
-    depends_on: @DEP@
+    depends_on: check-xml-fr
     when:
       path:
         include:
@@ -181,7 +181,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/ja local-check-cheatsheets
-    depends_on: @DEP@
+    depends_on: cheatsheets-ja
     when:
       path:
         include:
@@ -191,7 +191,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/de local-check-cheatsheets
-    depends_on: @DEP@
+    depends_on: cheatsheets-de
     when:
       path:
         include:
@@ -201,7 +201,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/fr local-check-cheatsheets
-    depends_on: @DEP@
+    depends_on: cheatsheets-fr
     when:
       path:
         include:
@@ -212,7 +212,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/ja local-pdf
-    depends_on: @DEP@
+    depends_on: [ build-images, check-xml-ja ]
     when:
       path:
         include:
@@ -222,7 +222,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/de local-pdf
-    depends_on: @DEP@
+    depends_on: [ build-images, check-xml-de ]
     when:
       path:
         include:
@@ -232,7 +232,7 @@ steps:
     pull: true
     commands:
       - make -C build-docs/doc/po/fr local-pdf
-    depends_on: @DEP@
+    depends_on: [ build-images, check-xml-fr ]
     when:
       path:
         include:
diff --git a/.woodpecker/update-docs-localized.sh b/.woodpecker/update-docs-localized.sh
index 991b4ec31..a23f12abf 100755
--- a/.woodpecker/update-docs-localized.sh
+++ b/.woodpecker/update-docs-localized.sh
@@ -19,10 +19,24 @@ do
   echo "### TARGET ${target}"
   for lang in ${SUPPORTED_LANGUAGES};
   do
-    group=localized-${target}
-    sed "s/@LANG@/${lang}/;s/@TARGET@/${target}/;s/@GROUP@/${group}/" docs-localized.yml.in
-    # Add common docs paths
-    cat docs.yml.common_paths
+    case ${target} in
+      check-xml)
+        depends_on=prepare
+        ;;
+      html|cheatsheets)
+        depends_on=check-xml-${lang}
+        ;;
+      pdf)
+        depends_on="[ build-images, check-xml-${lang} ]"
+        ;;
+      check-cheatsheets)
+        depends_on=cheatsheets-${lang}
+        ;;
+      *)
+        echo "Unexpected target ${target}" >&2
+        exit 1
+    esac
+    sed "s/@LANG@/${lang}/;s/@TARGET@/${target}/;s/@DEP@/${depends_on}/" docs-localized.yml.in
   done
 done
 

-----------------------------------------------------------------------

Summary of changes:
 .woodpecker/docs.yml                 | 30 +++++++++++++++---------------
 .woodpecker/update-docs-localized.sh | 22 ++++++++++++++++++----
 2 files changed, 33 insertions(+), 19 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list